Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.core.v2
Class CertificateIdentifierType

    java.lang.Object
      be.fgov.ehealth.certra.core.v2.CertificateIdentifierType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:07:00+02:00",
               comments="JAXB RI v2.3.6")
    public class CertificateIdentifierType

extends Object
implements Serializable

This type contains the identification details of a certificate: The health care actor to which the certificate was issued and the optional ApplicationId assigned to the certificate.

Java class for CertificateIdentifierType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Actor" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="ApplicationId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CertificateIdentifierType()`

Method Summary
`ActorType` | `getActor()` Gets the value of the actor property.
`String` | `getApplicationId()` Gets the value of the applicationId property.
`void` | `setActor(ActorType value)` Sets the value of the actor property.
`void` | `setApplicationId(String value)` Sets the value of the applicationId property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateIdentifierType

    public CertificateIdentifierType()

Method Detail

### getActor

    public ActorType getActor()

  Gets the value of the actor property.

  Returns:
    possible object is `ActorType`

### setActor

    public void setActor(ActorType value)

  Sets the value of the actor property.

  Parameters:
    `value` - allowed object is `ActorType`

### getApplicationId

    public String getApplicationId()

  Gets the value of the applicationId property.

  Returns:
    possible object is `String`

### setApplicationId

    public void setApplicationId(String value)

  Sets the value of the applicationId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.